---
lang: en
title: 'API docs: rest.session'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.session.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [Session](./rest.session.md)

## Session interface

interface to set variables in user session

<b>Signature:</b>

```typescript
export interface Session 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [profile](./rest.session.profile.md) | [SessionUserProfile](./rest.sessionuserprofile.md) |  |


